# Please list here direct dependencies only.
# Then run pip-compile to generate the full requirements.txt (which will include dependencies of dependencies).
# Always commit requirements.in together with requirements.txt
beautifulsoup4<4.8
boto==2.49.0
boto3<1.10
channels==2.3.0
channels_redis==2.4.0
CherryPy<18.2
colour==0.1.5
cookies<2.3
cryptography==3.2.1
dictdiffer<0.9
Django<2.3,>=2.2
# using the latest django-angular (2.2 or later) requires a heavy rewrite of the registration form, so we use the old 1.0.0 version patched to work under Django 2
-e git+https://github.com/open-craft/django-angular.git@v1-with-django2-support#egg=django_angular
django-compressor==2.4
django-cors-headers<3.3
django-environ==0.4.5
django-extensions==2.1.9
django-grappelli==2.12.3
django-inlinecss==0.3.0
django-libsass==0.7
django-rest-passwordreset==1.1.0
django-redis==4.10.0
django-simple-email-confirmation==0.60
django-storage-swift==1.2.19
django-storages==1.7.1
django-zurb-foundation==5.5.0
djangorestframework
dnspython==2.1.0
dns-lexicon==3.3.13
djangorestframework-simplejwt
# Pinned version since this causes issues with DRF-JWT package when using older python versions (3.8 and below)
pyjwt==1.7.1
docutils==0.14
drf-yasg
entrypoints==0.3
future==0.17.1
futures
GitPython==2.1.15
gunicorn==19.9.0
honcho==1.0.1
huey==2.1.0
# Pinning Jedi otherwise IPython shell freezes when autocompleting.
jedi==0.17.2
jsonschema==3.2.0
keystoneauth1
mailchimp3==3.0.13
mccabe==0.6.1
mysqlclient==1.4.2.post1
openstacksdk
os-client-config==1.32.0
Pillow
pip-tools==5.5.0
psycopg2-binary==2.8.3
pyjwkest==1.4.0
pymongo==3.8.0
python-consul==1.1.0
python-glanceclient
python-keystoneclient
python-novaclient
python-openstackclient
python-swiftclient
pytz==2019.1
PyYAML<5.5,>=5.4.1
redis==3.2.1
requests
requests-file==1.4.3
responses==0.10.6
service_identity==18.1.0
six
tldextract==2.2.3
urllib3==1.25.3
virtualenv
Werkzeug==0.15.4
